
%global guiloader_cpp_version 2.99.0
%global guiloader_cpp_release 0.1
%global guiloader_cpp_package 2.99.0
%global guiloader_cpp_dep_guiloader 2.99
%global guiloader_cpp_dep_glibmm 2.28
%global guiloader_cpp_dep_gtkmm 3.0

Name:             guiloader-c++
Version:          %{guiloader_cpp_version}
Release:          %{guiloader_cpp_release}
Summary:          A library for accessing GuiLoader from C++
Vendor:           crowdesigner.org

Group:            System Environment/Libraries
License:          MIT
URL:              http://www.crowdesigner.org
Source0:          http://nothing-personal.googlecode.com/files/guiloader-c++-%{guiloader_cpp_package}.tar.xz

BuildRequires:    guiloader-devel >= %{guiloader_cpp_dep_guiloader}
BuildRequires:    glibmm24-devel >= %{guiloader_cpp_dep_glibmm}
BuildRequires:    gtkmm30-devel >= %{guiloader_cpp_dep_gtkmm}
BuildRequires:    boost-devel
BuildRequires:    gettext

Requires:         guiloader >= %{guiloader_cpp_dep_guiloader}
Requires:         glibmm24 >= %{guiloader_cpp_dep_glibmm}
Requires:         gtkmm30 >= %{guiloader_cpp_dep_gtkmm}

%description
The GuiLoader-C++ library grants the access to GuiLoader functions for applications in C++. It also provides automatic cleanup when exceptions are raised, binding of GuiXml objects to C++ variables, and dynamic signal connection which takes types into account.

%prep
%setup -q -n %{name}-%{guiloader_cpp_package}

%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
%find_lang guiloader-c++

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f guiloader-c++.lang
%defattr(-, root, root, -)
%doc doc/*.txt
%{_libdir}/libguiloader-c++.so.*

%package devel
Summary:          Headers for developing programs that will use GuiLoader-C++
Group:            Development/Libraries
Requires:         %{name} = %{version}-%{release}
Requires:         guiloader-devel
Requires:         gtkmm30-devel
Requires:         pkgconfig

%description devel
This package contains the header files needed for developing GuiLoader-C++ applications.

%files devel
%defattr(-, root, root, -)
%{_includedir}/guiloader-c++
%{_libdir}/pkgconfig/guiloader-c++.pc
%{_libdir}/libguiloader-c++.so
